# Created by pyp2rpm-3.3.2
%global pypi_name django-staticinline

Name:           python-%{pypi_name}
Version:        1.4
Release:        %mkrel 1
Summary:        Django template tag to load static files inline with your template
Group:          Development/Python
License:        MIT
URL:            https://github.com/bartTC/django-staticinline
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(django) >= 1.8
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-django)
BuildRequires:  python3dist(setuptools)

%description
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Works similar to Django's static templatetag, but this one includes the file
directly in the template, rather than a link to it.

%prep
%autosetup -n %{pypi_name}-%{version}

# drop precompiled pycache
rm -rf $(find . -name "__pycache__" -type d -print)

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files staticinline

%check
DJANGO_SETTINGS_MODULE=staticinline.tests.testapp.settings \
PYTHONPATH=$(pwd) \
%{_bindir}/pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Feb 23 2024 daviddavid <daviddavid> 1.4-1.mga10
+ Revision: 2043432
- new version: 1.4
- rebuild for py3.12
- switch to pyproject

* Fri Apr 01 2022 umeabot <umeabot> 1.3.1-6.mga9
+ Revision: 1838711
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.3.1-5.mga9
+ Revision: 1785045
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3.1-4.mga9
+ Revision: 1732614
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1535258
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.3.1-2.mga8
+ Revision: 1451701
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.3.1-1.mga8
+ Revision: 1430765
- imported package python-django-staticinline

